Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class Drawing

    java.lang.Object
      org.deegree.graphics.sld.Drawing

Direct Known Subclasses:
  Fill, Stroke

    public class Drawing

extends Object

This is the top level interface of `Fill` and `Stroke` defining the methods `getGraphicFill()` and `getCssParameters()` that are common to both.

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp, Markus Schneider

Field Summary
`protected Map<String,Object>` | `cssParams` The css parameters.
`protected GraphicFill` | `graphicFill` the filler of a graphic

Constructor Summary
`Drawing(Map<String,Object> cssParams, GraphicFill graphicFill)` Constructs a new instance of `Drawing`.

Method Summary
`(package private) void` | `addCssParameter(String key, Object value)` Simple SVG/CSS2 styling parameters are given with the CssParameter element.
`Map<String,Object>` | `getCssParameters()` A simple SVG/CSS2 styling parameters are given with the CssParameter element.
`GraphicFill` | `getGraphicFill()` The GraphicFill element both indicates that a stipple-fill repeated graphic will be used and specifies the fill graphic.
`(package private) void` | `removeCssParameter(Object key)` Simple SVG/CSS2 styling parameters are given with the CssParameter element.
`(package private) void` | `setCssParameters(HashMap<String,Object> cssParameters)` A simple SVG/CSS2 styling parameters are given with the CssParameter element.
`void` | `setGraphicFill(GraphicFill graphicFill)` The GraphicFill element both indicates that a stipple-fill repeated graphic will be used and specifies the fill graphic.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphicFill

    protected GraphicFill graphicFill

  the filler of a graphic

### cssParams

    protected Map<String,Object> cssParams

  The css parameters.

Constructor Detail

### Drawing

    Drawing(Map<String,Object> cssParams,
            GraphicFill graphicFill)

  Constructs a new instance of `Drawing`.

  Parameters:
    `cssParams` -
    `graphicFill` -

Method Detail

### getGraphicFill

    public GraphicFill getGraphicFill()

  The GraphicFill element both indicates that a stipple-fill repeated graphic will be used and specifies the fill graphic.

  Returns:
    the GraphicFill-Element

### setGraphicFill

    public void setGraphicFill(GraphicFill graphicFill)

  The GraphicFill element both indicates that a stipple-fill repeated graphic will be used and specifies the fill graphic.

  Parameters:
    `graphicFill` - the GraphicFill-Element

### getCssParameters

    public Map<String,Object> getCssParameters()

  A simple SVG/CSS2 styling parameters are given with the CssParameter element.
  This method is for technical use. The user should access the specialized methods of the derived classes.

  Returns:
    the CssParameters

### setCssParameters

    void setCssParameters(HashMap<String,Object> cssParameters)

  A simple SVG/CSS2 styling parameters are given with the CssParameter element.
  This method sets CssParameters.

  Parameters:
    `cssParameters` - the CssParameters

### addCssParameter

    void addCssParameter(String key,
                         Object value)

  Simple SVG/CSS2 styling parameters are given with the CssParameter element. This method adds a CssParameter to a given set of CssParameters.

  Parameters:
    `key` - the key of the object to insert
    `value` - the value of the object to insert

### removeCssParameter

    void removeCssParameter(Object key)

  Simple SVG/CSS2 styling parameters are given with the CssParameter element.

  This method adds a CssParameter to a given set of CssParameters.

  Parameters:
    `key` - the key of the object to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org